//
//  Domian.h
//  OutlineMe
//
//  Created by John Schilling on 11/11/04.
//  Copyright 2004 John Schilling. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Node.h"

@interface Domain : NSObject {
    NSMutableArray  *nodes;
    NSString        *domainName;
}

- (void)setDomainName:(NSString *)name;
- (NSString *)itemName;
- (NSString *)itemStatus;
- (BOOL)isNode;

// Accessors for the children
- (void)addNode:(Node *)newNode;
- (Node *)childAtIndex:(int)i;
- (int)childrenCount;
- (BOOL)expandable;

@end
