//
//  NodeScheduler.h
//  Solscape
//
//  Created by John Schilling on 11/13/04.
//  Copyright 2004 John Schilling. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Node.h"

@interface NodeScheduler : NSWindow {
    Node                    *_myNode;
    IBOutlet NSTextField    *_nodeTitleField;
    IBOutlet NSButton       *_downloadAtStartupButton;
    IBOutlet NSButton       *_autoUpdatesButton;
    IBOutlet NSPopUpButton  *_autoUpdateTimeMenu;
}

- (void)setMyNode:(Node *)node;
- (IBAction)setDownloadsAtStartup:(id)sender;
- (IBAction)setAutoUpdatesState:(id)sender;
- (IBAction)setAutoUpdateTimer:(id)sender;

- (IBAction)close:(id)sender;

@end
