//
//  ImageWindow.m
//  Solscape
//
//  Created by John Schilling on 12/9/04.
//  Copyright 2004 John Schilling. All rights reserved.
//

#define RESIZE_INCREMENT    0.10

#import "ImageWindow.h"


@implementation ImageWindow

- (float)_transparency { return 1.0; }

extern void _NSSetWindowOpacity(int windowNumber, BOOL isOpaque);

- initWithContentRect:(NSRect)contentRect styleMask:(unsigned int)aStyle backing:(NSBackingStoreType)bufferingType defer:(BOOL)flag
{
    unsigned int mStyle = (NSTitledWindowMask | NSResizableWindowMask | NSClosableWindowMask | NSMiniaturizableWindowMask);
    //unsigned int mStyle = aStyle;
    if (self = [super initWithContentRect:contentRect styleMask:mStyle backing:bufferingType defer:NO])
        _NSSetWindowOpacity([self windowNumber], 0);
    [self setMovableByWindowBackground:YES];
    return self;
}

- (BOOL)canBecomeKeyWindow
{
    return YES;
}

- (BOOL)canBecomeMainWindow
{
    return YES;
}

@end
