//
//  NodeScheduler.m
//  Solscape
//
//  Created by John Schilling on 11/13/04.
//  Copyright 2004 John Schilling. All rights reserved.
//

#import "NodeScheduler.h"


@implementation NodeScheduler

- (id)init
{
    self = [super init];
    if (self) {
        
    }
    return self;
}

- (void)dealloc
{
    [super dealloc];
}


- (void)setMyNode:(Node *)node
{
    _myNode = node;
    [_nodeTitleField setStringValue:[NSString stringWithFormat:@"Scheduled Updating for \"%@\"", [_myNode nodeTitle]]];
    [_downloadAtStartupButton setState:[_myNode downloadsAtStartup]];
    [_autoUpdatesButton setState:[_myNode autoUpdates]];
    [_autoUpdateTimeMenu setEnabled:([_myNode autoUpdates] ? NSOnState : NSOffState)];
    [_autoUpdateTimeMenu selectItemAtIndex:[_myNode autoUpdateRate]];
}

- (IBAction)setDownloadsAtStartup:(id)sender
{
    [_myNode setDownloadsAtStartup:[sender state]];
}

- (IBAction)setAutoUpdatesState:(id)sender
{
    [_myNode setAutoUpdates:[sender state]];
    [_autoUpdateTimeMenu setEnabled:([sender state] ? NSOnState : NSOffState)];
}

- (IBAction)setAutoUpdateTimer:(id)sender
{
    [_myNode setAutoUpdateRate:[[sender selectedItem] tag]];
}

- (IBAction)close:(id)sender
{
    [NSApp endSheet:self];
}

@end
